/* simple example */
#include <stdio.h>
#include "da.h"

static void
write_file(const char *fn)
{
  struct da *da = da_create();
  char buf[100];
  da_add(da, "bd", 3, 102);
  da_add(da, "aa", 3, 100);
  da_add(da, "ba", 3, 101);
  da_traverse(da, 1, buf, 0);
  /**/
  printf("%d\n", da_get_index(da, "ba", 3));
  /**/
  da_write_file(da, fn);
  /**/
  da_dump(da);
  /**/
}

static void
use_image(const char *fn)
{
  char buf[10000];
  FILE *fp;
  struct da *da;
  fp = fopen(fn, "r");
  if (!fp) {
    return ;
  }
  fread(buf, 10000, 1, fp);
  da = da_create_from_image(buf);
  da_dump(da);
}

void
string_table_test()
{
  struct string_table *st = string_table_new();
}

int
main(int argc, char **argv)
{
  write_file("data");
  use_image("data");
  /**/
  string_table_test();
  return 0;
}
