#ifndef _tt_h_included_
#define _tt_h_included_

struct text_trie;

/* database manipulation */
struct text_trie *trie_open(const char *fn);
void trie_close(struct text_trie *tt);
/**/
void trie_add(struct text_trie *tt, const char *key, const char *body);
char *trie_find(struct text_trie *a, char *key);
void trie_delete(struct text_trie *tt, const char *prefix);
/**/
char *trie_find_next_key(struct text_trie *tt, char *buf, int len);
/**/
void trie_traverse(struct text_trie *tt, const char *prefix,
		   char *buf, int len,
		   int (*cb)(const char *suffix, const char *str));
void trie_find_prefix(struct text_trie *tt, const char *str,
		      char *buf, int len,
		      int (*cb)(const char *key, const char *str));
/**/
void trie_print_array(struct text_trie *tt);

#endif
